net.sourceforge.pmd.symboltable

## Class GlobalScopeTest

- java.lang.Object
- - net.sourceforge.pmd.symboltable.STBBaseTst
  - - net.sourceforge.pmd.symboltable.GlobalScopeTest

    public class GlobalScopeTest
    extends STBBaseTst

### Field Summary

### Fields inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

`acu, stb`

### Constructor Summary

Constructors
Constructor and Description
`GlobalScopeTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testClassDeclAppears()`
`void` `testEnums()`

### Methods inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

`parseCode, parseCode, parseCode15`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GlobalScopeTest

    public GlobalScopeTest()

### Method Detail

#### testClassDeclAppears

    public void testClassDeclAppears()

#### testEnums

    public void testEnums()

#### suite

    public static junit.framework.Test suite()